Find and Update Transaction

Finds and updates an existing transaction, provided valid search criteria is passed.

  • 'find_with': does a search on each key/value pair
  • 'ignore_if'. will not update if any of the dictionary items match key value pair for the value you can put null, 'null', 'not null' or an actual value
  • 'overwrite_if_null': will overwrite the value ONLY if it is NULL on Sisu side
  • 'ignore_inbound_null' will ignore any inbound NULL values (if True)
  • 'create_if_needed': will create the record if it is not found
  • return_fields: (array) will return specific fields. 'pipeline_status' and 'external_guids' are NOT client fields, but can be specified
  • 'client_id' will ALWAYS be returned
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
boolean
boolean
integer
string
find_with
object
ignore_if
object
update_with
object
overwrite_if_null
object
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json